Name:           OpenEXR_CTL
Version:        1.0.1
Release:        10%{?dist}
Summary:        A simplified OpenEXR interface to CTL

Group:          System Environment/Libraries
License:        AMPAS BSD
URL:            http://sourceforge.net/projects/ampasctl/
Source0:        http://downloads.sourceforge.net/ampasctl/openexr_ctl-%{version}.tar.gz
Patch0:         openexr_ctl-1.0.1-gcc43.patch
Patch1:         openexr_ctl-1.0.1-pkgconfig.patch
Patch2:         openexr_ctl-1.0.1-configure_gcc43.patch
Patch3:         openexr_ctl-1.0.1-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libtool
BuildRequires:  CTL-devel
BuildRequires:  OpenEXR-devel



%description
IlmImfCtl provides a simplified OpenEXR interface to CTL

exrdpx is an initial version of a CTL-driven file converter
that translates DPX files into OpenEXR files and vice versa.
The conversion between the DPX and OpenEXR color spaces is
handled by CTL transforms.

exr_ctl_exr is an initial version of a program that can bake
the effect of a series of CTL transforms into the pixels of
an OpenEXR file.


%package        libs
Summary:        Library for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains library for %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       OpenEXR-devel
Requires:       CTL-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n openexr_ctl-%{version}
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .conf_gcc43
%patch3 -p1 -b .gcc44
# Needed to disable rpath from configure
#autoreconf

%build
%configure --disable-static

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/exr_ctl_exr
%{_bindir}/exrdpx

%files libs
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libIlmImfCtl.so.*
%dir %{_libdir}/CTL
%{_libdir}/CTL/*.ctl

%files devel
%defattr(-,root,root,-)
%{_includedir}/OpenEXR/ImfCtlApplyTransforms.h
%{_libdir}/libIlmImfCtl.so
%{_libdir}/pkgconfig/OpenEXR_CTL.pc


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 20 2009 kwizart < kwizart at gmail.com > - 1.0.1-9
- Rebuild for F-12

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 kwizart < kwizart at gmail.com > - 1.0.1-6
- Rebuild for gcc44

* Tue Feb  3 2009 kwizart < kwizart at gmail.com > - 1.0.1-5
- Own %%libdir/CTL - Fix #473596

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 1.0.1-4
- Rebuild for gcc43

* Wed Jan 16 2008 kwizart < kwizart at gmail.com > - 1.0.1-3
- Remove BR/R OpenEXR

* Tue Jan  8 2008 kwizart < kwizart at gmail.com > - 1.0.1-2
- Fix rpath
- Fix gcc43
- Fix pkgconfig
- Fix unused-direct-shlib-dependencies

* Mon Nov 26 2007 kwizart < kwizart at gmail.com > - 1.0.1-1
- Initial package for Fedora

